edu.wpi.first.networktables

## Class EntryInfo

- java.lang.Object
- - edu.wpi.first.networktables.EntryInfo

-     public final class EntryInfo
      extends java.lang.Object

  NetworkTables Entry information.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `entry` Entry handle.
    `int` | `flags` Entry flags.
    `long` | `last_change` Timestamp of last change to entry (type or value).
    `java.lang.String` | `name` Entry name.
    `NetworkTableType` | `type` Entry type.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntryInfo(NetworkTableInstance inst, int entry, java.lang.String name, int type, int flags, long last_change)` Constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### entry

          public final int entry

      Entry handle.

    - #### name

          public final java.lang.String name

      Entry name.

    - #### type

          public final NetworkTableType type

      Entry type.

    - #### flags

          public final int flags

      Entry flags.

    - #### last_change

          public final long last_change

      Timestamp of last change to entry (type or value).

  - ### Constructor Detail

    - #### EntryInfo

          public EntryInfo(NetworkTableInstance inst,
                           int entry,
                           java.lang.String name,
                           int type,
                           int flags,
                           long last_change)

      Constructor. This should generally only be used internally to NetworkTables.
      Parameters:
        `inst` - Instance
        `entry` - Entry handle
        `name` - Name
        `type` - Type (integer version of `NetworkTableType`)
        `flags` - Flags
        `last_change` - Timestamp of last change